org.apache.commons.ssl.asn1

## Class DEREncodableVector

- java.lang.Object
- - org.apache.commons.ssl.asn1.DEREncodableVector

Direct Known Subclasses:
  ASN1EncodableVector

    public class DEREncodableVector
    extends java.lang.Object

a general class for building up a vector of DER encodable objects - this will eventually be superceded by ASN1EncodableVector so you should use that class in preference.

### Field Summary

Fields
`private java.util.Vector` `v`

### Constructor Summary

Constructors
Constructor and Description
`DEREncodableVector()` Deprecated. use ASN1EncodableVector instead.

### Method Summary

Methods
`void` `add(DEREncodable obj)`
`DEREncodable` `get(int i)`
`int` `size()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### v

    private java.util.Vector v

### Constructor Detail

#### DEREncodableVector

    public DEREncodableVector()

Deprecated. use ASN1EncodableVector instead.

### Method Detail

#### add

    public void add(DEREncodable obj)

#### get

    public DEREncodable get(int i)

#### size

    public int size()